unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type
  { TForm1 }
  TForm1 = class(TForm)
    Label1: TLabel;
    lblInput: TLabel;
    lblThousandSeparator: TLabel;
    lblDecimalSeparator: TLabel;
    procedure FormShow(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

function MyStrToFloat(const s : String) : Double;
begin
  try
    result := StrToFloat(s ,DefaultFormatSettings);
  except
    result := 0;
  end;
end;


procedure TForm1.FormShow(Sender: TObject);
var
  MyFloat : Double;
begin
  Self.lblInput.Caption := '1.234,56';
  Self.lblDecimalSeparator.Caption := Format('DefaultDecimalSeparator="%s"',[DefaultFormatSettings.DecimalSeparator]);
  Self.lblThousandSeparator.Caption := Format('DefaultThousandSeparator="%s"',[DefaultFormatSettings.ThousandSeparator]);

  MyFloat := MyStrToFloat('1.234,56');
  Label1.caption := FloatToStr(MyFloat);
end;



end.

